use std::env;

mod config_reader;
mod bot;
mod utils;
pub use config_reader::config_reader::BotUserInfo;
pub use bot::bot::Bot;
pub use utils::utils::*;

#[tokio::main]
async fn main() {
    println!("Starting Matrix-Modbot");
    let mut args: Vec<String> = env::args().collect();
    if args.len() > 1 {
        panic!("Please only pass in 1 argument!");
    }
    if args.is_empty() {
        args.push("config.ini".to_string()) // Set the default config file path to config.ini
    }
    let config_path = &args[0];
    let creds = BotUserInfo::get_info(config_path).unwrap();
    let mut bot = Bot::bot_login(creds).await;
}
